
// panic.cc -- part of gkrell_sunlight
//
// This program is copyright (C) 2008 Mauro Persano, and is free
// software which is freely distributable under the terms of the
// GNU public license, included as the file COPYING in this
// distribution.  It is NOT public domain software, and any
// redistribution not permitted by the GNU General Public License is
// expressly forbidden without prior written permission from
// the author.

#include <stdio.h>
#include <stdlib.h>
#include <stdarg.h>

#include "panic.h"

void
panic(const char *fmt, ...)
{
	va_list ap;

	fprintf(stderr, "FATAL: ");

	va_start(ap, fmt);
	vfprintf(stderr, fmt, ap);
	va_end(ap);

	fputc('\n', stderr);

	abort();
}
