
// test.cc -- part of gkrell_sunlight
//
// This program is copyright (C) 2008 Mauro Persano, and is free
// software which is freely distributable under the terms of the
// GNU public license, included as the file COPYING in this
// distribution.  It is NOT public domain software, and any
// redistribution not permitted by the GNU General Public License is
// expressly forbidden without prior written permission from
// the author.

#include <stdio.h>

#include "sunlight_map.h"
#include "earth.xpm"

int
main()
{
#if 1
	sunlight_map sm(500);

	sm.update(time(NULL));

	sm.to_ppm(stdout);
#else
	image *image = image::from_xpm_data(earth);
	image->to_ppm(stdout);
	delete image;
#endif
}
